podcast_search 0.1.2

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new62

A simple library providing programmatic access to the iTunes search API for podcasts.

Created from templates made available by Stagehand under a MIT license license.

Usage #

A simple usage example. Search for podcasts with widgets in the title and is available in the UK. Limit to at most 10 results:

import 'package:podcast_search/podcast_search.dart';

main() async {
  var search = new Search();

  SearchResult result = await search.search("widgets",
      country: Country.UNITED_KINGDOM,
      limit: 10);

  result.items?.forEach((podcast) {
    print("Found podcast ${podcast.trackName}");
  });
}

0.1.2 #

  • Correct copyright text to fix issues with documentation.

0.1.1 #

  • Correct issues reported by health tool.

0.1.0 #

  • Initial release.

example/podcast_search_example.dart

import 'package:podcast_search/podcast_search.dart';

main() async {
  var search = new Search();

  SearchResult result = await search.search("widgets",
      country: Country.UNITED_KINGDOM,
      limit: 10);

  result.items?.forEach((podcast) {
    print("Found podcast ${podcast.trackName}");
  });
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  podcast_search: ^0.1.2

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:podcast_search/podcast_search.dart';
  
Version Uploaded Documentation Archive
0.1.2 Feb 6, 2019 Go to the documentation of podcast_search 0.1.2 Download podcast_search 0.1.2 archive
0.1.1 Feb 6, 2019 Go to the documentation of podcast_search 0.1.1 Download podcast_search 0.1.1 archive
0.1.0 Feb 6, 2019 Go to the documentation of podcast_search 0.1.0 Download podcast_search 0.1.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
23
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
62
Learn more about scoring.

We analyzed this package on Feb 20, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.13+1

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in primary library package:podcast_search/podcast_search.dart.

Health issues and suggestions

Document public APIs. (-0.15 points)

301 out of 310 API elements have no dartdoc comment.Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
http ^0.12.0+1 0.12.0+1
Transitive dependencies
async 2.0.8
charcode 1.1.2
collection 1.14.11
http_parser 3.1.3
meta 1.1.7
path 1.6.2
source_span 1.5.4
string_scanner 1.0.4
term_glyph 1.1.0
typed_data 1.1.6
Dev dependencies
pedantic ^1.0.0
test ^1.0.0